Loading...
Searching...
No Matches
cpe_version Struct Reference
CPE » CPE Dictionary

Version of product. More...

`#include <cpe_dict.h>`

Collaboration diagram for cpe_version:
[legend]

## Public Member Functions

OSCAP_API void | cpe_version_free (struct cpe_version *version)
OSCAP_API struct cpe_version * | cpe_version_new (void)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API struct cpe_version_iterator * | cpe_product_get_versions (const struct cpe_product *item)
| cpe_product functions to get versions of product
OSCAP_API const char * | cpe_version_get_value (const struct cpe_version *item)
| cpe_version functions to get vupdates of versions
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | cpe_version_set_value (struct cpe_version *version, const char *new_value)
OSCAP_API bool | cpe_version_add_update (struct cpe_version *version, struct cpe_update *new_update)

## Data Fields

char * | value
struct oscap_list * | updates

## Detailed Description

Version of product.

The documentation for this struct was generated from the following files:

- cpedict_priv.c
- cpe_dict.h